glab(1)

NAME

glab-release-upload - Upload release asset files or links to GitLab Release

SYNOPSIS

glab release upload [...] [flags]

DESCRIPTION

Upload release assets to GitLab Release

You can define the display name by appending '#' after the file name. The link type comes after the display name (eg. 'myfile.tar.gz#My display name#package')

OPTIONS

-a, --assets-links=""
    JSON string representation of assets links (e.g. --assets-links='[{"name": "Asset1", "url":"https://<domain>/some/location/1", "link_type": "other", "direct_asset_path": "path/to/file"}]')

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    Upload a release asset with a display name (type will default to 'other')
    $ glab release upload v1.0.1 '/path/to/asset.zip#My display label'
    Upload a release asset with a display name and type
    $ glab release upload v1.0.1 '/path/to/asset.png#My display label#image'
    Upload all assets in a specified folder (types will default to 'other')
    $ glab release upload v1.0.1 ./dist/*
    Upload all tarballs in a specified folder (types will default to 'other')
    $ glab release upload v1.0.1 ./dist/*.tar.gz
    Upload release assets links specified as JSON string
    $ glab release upload v1.0.1 --assets-links='
      [
        {
          "name": "Asset1",
          "url":"https://<domain>/some/location/1",
          "link_type": "other",
          "direct_asset_path": "path/to/file"
        }
      ]'

SEE ALSO

glab-release(1)